## PkError PkError |

## Synopsis

                        PkErrorPrivate;
                        PkError;
    PkError *           pk_error_new                        (void);
    PkErrorEnum         pk_error_get_code                   (PkError *error_code);
    const gchar *       pk_error_get_details                (PkError *error_code);

## Object Hierarchy

      GObject
       +----PkError

## Properties

      "code"                     guint                 : Read / Write
      "details"                  gchar*                : Read / Write

## Description

## Details

### PkErrorPrivate

    typedef struct _PkErrorPrivate PkErrorPrivate;

Private PkError data

### PkError

    typedef struct _PkError PkError;

### pk_error_new ()

    PkError *           pk_error_new                        (void);

Returns : | a new PkError object.

### pk_error_get_code ()

    PkErrorEnum         pk_error_get_code                   (PkError *error_code);

`error_code` : |
Returns : |

### pk_error_get_details ()

    const gchar *       pk_error_get_details                (PkError *error_code);

`error_code` : |
Returns : |

## Property Details

### The `"code"` property

      "code"                     guint                 : Read / Write

Default value: 0

### The `"details"` property

      "details"                  gchar*                : Read / Write

Default value: NULL